<!DOCTYPE html>
<html lang="en" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Neuer Crewmate</title>
</head>
<body>
    <h1>Crewmate hinzufügen</h1>
    <form th:action="@{/add-crewmate}" th:object="${crewmate}" method="post">
        <label for="crewmateName">Vorname</label>
        <input type="text" th:field="*{firstName}" th:text="*{firstName}" id="crewmateName">

        <label for="hiddenTalent">Hidden Talent</label>
        <input type="text" th:field="*{hiddenTalent}" th:text="*{hiddenTalent}" id="hiddenTalent">

        <label for="shipDropdown">Works On</label>
        <select th:field="*{shipId}" id="shipDropdown">
            <option th:each="ship : ${shipList}" th:value="${ship.id}" th:text="${ship.name}"></option>
        </select>

        <input type="submit">
    </form>
    <a href="/">Back to Home</a>
</body>
</html>